import '../entities/tax_form_entity.dart';

abstract class TaxFormsRepository {
  Future<List<TaxFormEntity>> getTaxForms();
  Future<void> submitForm(TaxFormType type, Map<String, dynamic> data);
  Future<void> updateFormStatus(TaxFormType type, TaxFormStatus status);
}
